Summary: Apache configuration tool
Name: apachecfg
Version: 0.3.1
Release: 6
Group: Networking/Utilities
Source: apachecfg-0.3.1.tar.gz
Source2: apachecfg.wmconfig
Source3: apachecfg.xpm
Source3: mini-apachecfg.xpm
Patch: apachecfg-0.3.1-safe.patch
Patch2: apachecfg-0.3.1-xpm.patch
Copyright: GPL
BuildRoot: /tmp/apachecfg-root
Requires: pythonlib python tkinter
BuildArchitectures: noarch
%description
This is a program that allows you to configure apache easily.

%changelog

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- paths out of wmconfig, don't advertise wmconfig to users

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- changed gif to xpm
- requires tkinter
	
* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>

- Ignore unknown directives to coexist with newer versions of
  apache as they come out with new directives.
- wmconfig

%prep
%setup
# leave unknown directives alone
%patch -p1 -b .safe
%patch2 -p1 -b .xpm

%build
rm -f *.pyc
PYTHONPATH=/usr/lib/rhs/python:. python /usr/lib/python1.4/compileall.py $RPM_BUILD_DIR/apachecfg-%{PACKAGE_VERSION}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib/rhs/apachecfg
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
mkdir -p $RPM_BUILD_ROOT/var/lib/apachecfg
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m755 apachecfg $RPM_BUILD_ROOT/usr/bin
install -m644 *.py $RPM_BUILD_ROOT/usr/lib/rhs/apachecfg
install -m644 *.pyc $RPM_BUILD_ROOT/usr/lib/rhs/apachecfg
install -m644 $RPM_SOURCE_DIR/apachecfg.xpm $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
install -m644 apachecfg.init $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/apachecfg.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/apachecfg
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/apachecfg.xpm $RPM_BUILD_ROOT/usr/share/icons
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/mini-apachecfg.xpm $RPM_BUILD_ROOT/usr/share/icons/mini

chmod 600 $RPM_BUILD_ROOT/etc/X11/wmconfig/apachecfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/apachecfg
/usr/lib/rhs/apachecfg
/var/lib/apachecfg
/usr/lib/rhs/control-panel/apachecfg.xpm
/usr/lib/rhs/control-panel/apachecfg.init
%config(missingok) /etc/X11/wmconfig/apachecfg
/usr/share/icons/apachecfg.xpm
/usr/share/icons/mini/mini-apachecfg.xpm
